library RDB;

uses
  SysUtils, Classes, Rubies, Pythia,
{$IFDEF VCL}
  Graphics, DBGrids, DBCtrls, 
{$ELSE}
  QGraphics,
{$ENDIF}
  DB, RDBHandle,
  uRDB,
  uFieldDef,
  uIndexDef,
  uField,
  uParam,
  uDataSource,
  uDataSet,
  uClientDataSet,
  uDataSetProvider,

  uColumn,
  uDBGrid,
{$IFDEF VCL}
  uDBCtrlGrid,
{$ENDIF}
  uDBNavigator,
  uDBEdit,
  uDBMemo;

{$E so}

procedure Init_rdb;
begin
  PhiStart;

  mRDB := ap_mPhi;

  rb_eDatabaseError := rb_define_class_under(mRDB, 'DatabaseError', ap_eStandardError);

  Init_FieldDef;
  Init_IndexDef;
  Init_Param;
  Init_Field;
  Init_DataSource;
  Init_DataSet;
  Init_ClientDataSet;
  Init_DataSetProvider;

  Init_Column;
  Init_DBGrid;
{$IFDEF VCL}
  Init_DBCtrlGrid;
{$ENDIF}
  Init_DBNavigator;
  Init_DBEdit;
  Init_DBMemo;
end;

exports
  Init_rdb;

exports
  ap_cDataSource,
  ap_iDataSource;

exports
  RDBGetHandle;

begin
end.
